Subject: Re: bug#28844: 26.0.90; display-line-numbers-mode should call window-configuration-change-hook

From: martin rudalics <[email-masked]>
Date: Sun, 15 Oct 2017 11:41:29 +0200

> Activating/deactivating display-line-numbers-mode alters the window
 > configuration and so should call window-configuration-change-hook but
 > does not.

‘window-configuration-change-hook’ is still run way too often, for
example, when windows get resized.  ‘window-size-change-functions’ might
be better.  But if you need such a hook, wouldn't you also need it when
line numbers occupy more or less columns, for example, during scrolling?

Otherwise, why can't you use ‘display-line-numbers-mode-hook’?

martin